apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: '2025-08-25T13:56:20.619361772Z'
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  resourceVersion: '19523224'
  name: centos-stream9-plum-hoverfly-20
  uid: 670e188c-c499-47a1-95a2-9c7c82497ab3
  creationTimestamp: '2025-08-25T13:51:58Z'
  generation: 2
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
      manager: virt-controller
      operation: Update
      time: '2025-08-25T13:51:58Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:dataVolumeTemplates': {}
          'f:instancetype':
            .: {}
            'f:name': {}
          'f:preference':
            .: {}
            'f:name': {}
          'f:runStrategy': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:labels':
                .: {}
                'f:network.kubevirt.io/headlessService': {}
            'f:spec':
              .: {}
              'f:domain':
                .: {}
                'f:devices':
                  .: {}
                  'f:autoattachPodInterface': {}
                  'f:disks': {}
                  'f:interfaces': {}
              'f:networks': {}
              'f:subdomain': {}
              'f:volumes': {}
      manager: Mozilla
      operation: Update
      time: '2025-08-25T13:56:20Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:preferenceRef':
            .: {}
            'f:controllerRevisionRef':
              .: {}
              'f:name': {}
            'f:kind': {}
            'f:name': {}
          'f:printableStatus': {}
          'f:runStrategy': {}
          'f:conditions': {}
          .: {}
          'f:ready': {}
          'f:instancetypeRef':
            .: {}
            'f:controllerRevisionRef':
              .: {}
              'f:name': {}
            'f:kind': {}
            'f:name': {}
          'f:volumeSnapshotStatuses': {}
          'f:observedGeneration': {}
          'f:created': {}
          'f:desiredGeneration': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2025-08-25T13:56:50Z'
  namespace: radek
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
spec:
  dataVolumeTemplates:
    - metadata:
        creationTimestamp: null
        name: centos-stream9-plum-hoverfly-20-volume
      spec:
        sourceRef:
          kind: DataSource
          name: centos-stream9
          namespace: openshift-virtualization-os-images
        storage:
          resources:
            requests:
              storage: 30Gi
  instancetype:
    kind: virtualmachineclusterinstancetype
    name: u1.medium
  preference:
    kind: virtualmachineclusterpreference
    name: centos.stream9
  runStrategy: Always
  template:
    metadata:
      creationTimestamp: null
      labels:
        network.kubevirt.io/headlessService: headless
    spec:
      architecture: amd64
      domain:
        devices:
          autoattachPodInterface: true
          interfaces:
            - bridge: {}
              macAddress: '02:62:1a:d8:e4:43'
              model: virtio
              name: nic-crimson-beaver-29
              state: up
        firmware:
          uuid: 4058ad07-1ac8-4ff4-b55b-355190ff01c8
        machine:
          type: pc-q35-rhel9.6.0
        resources: {}
      networks:
        - multus:
            networkName: nad-awkward-kiwi
          name: nic-crimson-beaver-29
      subdomain: headless
      volumes:
        - dataVolume:
            name: centos-stream9-plum-hoverfly-20-volume
          name: rootdisk
        - cloudInitNoCloud:
            userData: |
              #cloud-config
              chpasswd:
                expire: false
              password: 8nxw-t1g0-zx4i
              user: centos
          name: cloudinitdisk
status:
  observedGeneration: 2
  ready: true
  instancetypeRef:
    controllerRevisionRef:
      name: centos-stream9-plum-hoverfly-20-u1.medium-v1beta1-c441da25-3930-4b0a-8aad-a7bb2d32ef45-1
    kind: virtualmachineclusterinstancetype
    name: u1.medium
  created: true
  desiredGeneration: 2
  preferenceRef:
    controllerRevisionRef:
      name: centos-stream9-plum-hoverfly-20-centos.stream9-v1beta1-cd09bc06-ca11-46a3-b88e-0f73fbf8132e-1
    kind: virtualmachineclusterpreference
    name: centos.stream9
  conditions:
    - lastProbeTime: null
      lastTransitionTime: '2025-08-25T13:56:48Z'
      status: 'True'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: All of the VMI's DVs are bound and ready
      reason: AllDVsReady
      status: 'True'
      type: DataVolumesReady
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: LiveMigratable
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: StorageLiveMigratable
  printableStatus: Running
  volumeSnapshotStatuses:
    - enabled: true
      name: rootdisk
    - enabled: false
      name: cloudinitdisk
      reason: 'Snapshot is not supported for this volumeSource type [cloudinitdisk]'
  runStrategy: Always

